spec_version = "1.0.0"
canonical_name = "atoms.convergent-systems.co/catalogs/event-atoms"
version = "0.1.0"
atom_type = "atoms.convergent-systems.co/catalogs"
authored_by = "ed25519:P6+CekZ4v8Y+h4AUvxnVoGc9scE4kwOn3Ee46/3P65Y="
created_at = "2026-05-22T03:40:32.832Z"

[signatures]
"ed25519:P6+CekZ4v8Y+h4AUvxnVoGc9scE4kwOn3Ee46/3P65Y=" = "Z6MGhzQjnUB8KKCgk1xH6NwJmkPOkoghpdHCqZ6jsHv8LJbtD4zWfbSaheq/LDms8vAJf2GrK6TJ4KuQLLkdDA=="

[body]
atom_types = ["event-type", "schema", "channel", "subscription-pattern", "delivery-semantics"]
canonical_domain = "event-atoms.com"
catalog_name = "event-atoms"
catalog_version = "0.1.0"
composition_dir = "streams"
composition_type = "streams"
federation = "xdao.co"
github_url = "https://github.com/convergent-systems-co/event-atoms"
implements_spec = "atoms-spec/v1"
license = "Apache-2.0"
pages_url = "https://event-atoms.pages.dev"
purpose = "Event primitives — types, schemas, channels, subscription patterns, delivery semantics — paired with Service Atoms to cover the request/response and async halves of distributed systems."
rule_types = ["schema-evolution", "delivery-guarantee", "ordering-constraint"]
runtime_consumers = ["universal-bus"]
